.nav__list {
  display: flex;
  gap: 52px;
  list-style: none;
  padding: 0;
}

@media all and (max-width: 1023px) {
  .nav__list {
    gap: 20px;
    position: fixed;
    z-index: 2;
    left: 0;
    padding: 20px 4.2vw;
    width: 50vw;
    height: 100vh;
    background-color: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
  }
}

@media all and (max-width: 767px) {
  .nav__list {
    width: 80vw;
  }
}

.nav__item {
  font-size: 1.4rem;
  font-weight: 600;
  color: rgb(35, 35, 35);
}

.nav__link {
  padding: 3px;
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.nav__link:visited {
  color: inherit;
}

.nav__link:hover {
  text-decoration: underline;
  color: var(--main-blue);
  transition: color 0.4s ease-in;
}

.nav__mobile {
  display: none;

  padding: 3px;
  cursor: pointer;
  outline: none;
  border: 2px solid transparent;
  background-color: transparent;
}

.nav__mobile:focus {
  border: 2px solid black;
}

@media all and (max-width: 1023px) {
  .nav__mobile {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@media all and (max-width: 1023px) {
  .nav_hidden {
    display: none;
  }
}
